gi-vte-2.91.33: Vte bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Vte.Enums

Contents

- Enumerations
  - Align
  - CursorBlinkMode
  - CursorShape
  - EraseBinding
  - Format
  - ProgressHint
  - PropertyId
  - PropertyType
  - PtyError
  - RegexError
  - TextBlinkMode
  - WriteFlags

Description

Synopsis

- data Align
  - = AlignStart
  - | AlignCenter
  - | AlignEnd
  - | AnotherAlign Int
- data CursorBlinkMode
  - = CursorBlinkModeSystem
  - | CursorBlinkModeOn
  - | CursorBlinkModeOff
  - | AnotherCursorBlinkMode Int
- data CursorShape
  - = CursorShapeBlock
  - | CursorShapeIbeam
  - | CursorShapeUnderline
  - | AnotherCursorShape Int
- data EraseBinding
  - = EraseBindingAuto
  - | EraseBindingAsciiBackspace
  - | EraseBindingAsciiDelete
  - | EraseBindingDeleteSequence
  - | EraseBindingTty
  - | AnotherEraseBinding Int
- data Format
  - = FormatText
  - | FormatHtml
  - | AnotherFormat Int
- data ProgressHint
  - = ProgressHintInactive
  - | ProgressHintActive
  - | ProgressHintError
  - | ProgressHintIndeterminate
  - | ProgressHintPaused
  - | AnotherProgressHint Int
- data PropertyId
  - = PropertyIdCurrentDirectoryUri
  - | PropertyIdCurrentFileUri
  - | PropertyIdXtermTitle
  - | PropertyIdContainerName
  - | PropertyIdContainerRuntime
  - | PropertyIdContainerUid
  - | PropertyIdShellPrecmd
  - | PropertyIdShellPreexec
  - | PropertyIdShellPostexec
  - | PropertyIdProgressHint
  - | PropertyIdProgressValue
  - | PropertyIdIconColor
  - | PropertyIdIconImage
  - | AnotherPropertyId Int
- data PropertyType
  - = PropertyTypeValueless
  - | PropertyTypeBool
  - | PropertyTypeInt
  - | PropertyTypeUint
  - | PropertyTypeDouble
  - | PropertyTypeRgb
  - | PropertyTypeRgba
  - | PropertyTypeString
  - | PropertyTypeData
  - | PropertyTypeUuid
  - | PropertyTypeUri
  - | PropertyTypeImage
  - | AnotherPropertyType Int
- data PtyError
  - = PtyErrorPtyHelperFailed
  - | PtyErrorPty98Failed
  - | AnotherPtyError Int
- catchPtyError :: IO a -> (PtyError -> GErrorMessage -> IO a) -> IO a
- handlePtyError :: (PtyError -> GErrorMessage -> IO a) -> IO a -> IO a
- data RegexError
  - = RegexErrorIncompatible
  - | RegexErrorNotSupported
  - | AnotherRegexError Int
- catchRegexError :: IO a -> (RegexError -> GErrorMessage -> IO a) -> IO a
- handleRegexError :: (RegexError -> GErrorMessage -> IO a) -> IO a -> IO a
- data TextBlinkMode
  - = TextBlinkModeNever
  - | TextBlinkModeFocused
  - | TextBlinkModeUnfocused
  - | TextBlinkModeAlways
  - | AnotherTextBlinkMode Int
- data WriteFlags
  - = WriteFlagsDefault
  - | AnotherWriteFlags Int

# Enumerations

## Align

data Align Source #

An enumeration type that can be used to specify how the terminal uses extra allocated space.

Since: 0.76

Constructors

AlignStart | align to left/top
AlignCenter | align to centre
AlignEnd | align to right/bottom
AnotherAlign Int | Catch-all for unknown values

#### Instances

Instances details

Enum Align Source # |
Instance details Defined in GI.Vte.Enums Methods succ :: Align -> Align Source # pred :: Align -> Align Source # toEnum :: Int -> Align Source # fromEnum :: Align -> Int Source # enumFrom :: Align -> [Align] Source # enumFromThen :: Align -> Align -> [Align] Source # enumFromTo :: Align -> Align -> [Align] Source # enumFromThenTo :: Align -> Align -> Align -> [Align] Source #
Show Align Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> Align -> ShowS Source # show :: Align -> String Source # showList :: [Align] -> ShowS Source #
Eq Align Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: Align -> Align -> Bool Source # (/=) :: Align -> Align -> Bool Source #
Ord Align Source # |
Instance details Defined in GI.Vte.Enums Methods compare :: Align -> Align -> Ordering Source # (<) :: Align -> Align -> Bool Source # (<=) :: Align -> Align -> Bool Source # (>) :: Align -> Align -> Bool Source # (>=) :: Align -> Align -> Bool Source # max :: Align -> Align -> Align Source # min :: Align -> Align -> Align Source #
BoxedEnum Align Source # |
Instance details Defined in GI.Vte.Enums
TypedObject Align Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes Align Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes Align Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes Align = '[] :: [Type]

## CursorBlinkMode

data CursorBlinkMode Source #

An enumerated type which can be used to indicate the cursor blink mode for the terminal.

Constructors

CursorBlinkModeSystem | Follow GTK+ settings for cursor blinking.
CursorBlinkModeOn | Cursor blinks.
CursorBlinkModeOff | Cursor does not blink.
AnotherCursorBlinkMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum CursorBlinkMode Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: CursorBlinkMode -> CursorBlinkMode Source #

pred :: CursorBlinkMode -> CursorBlinkMode Source #

toEnum :: Int -> CursorBlinkMode Source #

fromEnum :: CursorBlinkMode -> Int Source #

enumFrom :: CursorBlinkMode -> [CursorBlinkMode] Source #

enumFromThen :: CursorBlinkMode -> CursorBlinkMode -> [CursorBlinkMode] Source #

enumFromTo :: CursorBlinkMode -> CursorBlinkMode -> [CursorBlinkMode] Source #

enumFromThenTo :: CursorBlinkMode -> CursorBlinkMode -> CursorBlinkMode -> [CursorBlinkMode] Source #

Show CursorBlinkMode Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> CursorBlinkMode -> ShowS Source # show :: CursorBlinkMode -> String Source # showList :: [CursorBlinkMode] -> ShowS Source #
Eq CursorBlinkMode Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: CursorBlinkMode -> CursorBlinkMode -> Bool Source # (/=) :: CursorBlinkMode -> CursorBlinkMode -> Bool Source #
Ord CursorBlinkMode Source # |

Instance details

Defined in GI.Vte.Enums

Methods

compare :: CursorBlinkMode -> CursorBlinkMode -> Ordering Source #

(<) :: CursorBlinkMode -> CursorBlinkMode -> Bool Source #

(<=) :: CursorBlinkMode -> CursorBlinkMode -> Bool Source #

(>) :: CursorBlinkMode -> CursorBlinkMode -> Bool Source #

(>=) :: CursorBlinkMode -> CursorBlinkMode -> Bool Source #

max :: CursorBlinkMode -> CursorBlinkMode -> CursorBlinkMode Source #

min :: CursorBlinkMode -> CursorBlinkMode -> CursorBlinkMode Source #

BoxedEnum CursorBlinkMode Source # |
Instance details Defined in GI.Vte.Enums
TypedObject CursorBlinkMode Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes CursorBlinkMode Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes CursorBlinkMode Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes CursorBlinkMode = '[] :: [Type]

## CursorShape

data CursorShape Source #

An enumerated type which can be used to indicate what should the terminal draw at the cursor position.

Constructors

CursorShapeBlock | Draw a block cursor. This is the default.
CursorShapeIbeam | Draw a vertical bar on the left side of character. This is similar to the default cursor for other GTK+ widgets.
CursorShapeUnderline | Draw a horizontal bar below the character.
AnotherCursorShape Int | Catch-all for unknown values

#### Instances

Instances details

Enum CursorShape Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: CursorShape -> CursorShape Source #

pred :: CursorShape -> CursorShape Source #

toEnum :: Int -> CursorShape Source #

fromEnum :: CursorShape -> Int Source #

enumFrom :: CursorShape -> [CursorShape] Source #

enumFromThen :: CursorShape -> CursorShape -> [CursorShape] Source #

enumFromTo :: CursorShape -> CursorShape -> [CursorShape] Source #

enumFromThenTo :: CursorShape -> CursorShape -> CursorShape -> [CursorShape] Source #

Show CursorShape Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> CursorShape -> ShowS Source # show :: CursorShape -> String Source # showList :: [CursorShape] -> ShowS Source #
Eq CursorShape Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: CursorShape -> CursorShape -> Bool Source # (/=) :: CursorShape -> CursorShape -> Bool Source #
Ord CursorShape Source # |

Instance details

Defined in GI.Vte.Enums

Methods

compare :: CursorShape -> CursorShape -> Ordering Source #

(<) :: CursorShape -> CursorShape -> Bool Source #

(<=) :: CursorShape -> CursorShape -> Bool Source #

(>) :: CursorShape -> CursorShape -> Bool Source #

(>=) :: CursorShape -> CursorShape -> Bool Source #

max :: CursorShape -> CursorShape -> CursorShape Source #

min :: CursorShape -> CursorShape -> CursorShape Source #

BoxedEnum CursorShape Source # |
Instance details Defined in GI.Vte.Enums
TypedObject CursorShape Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes CursorShape Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes CursorShape Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes CursorShape = '[] :: [Type]

## EraseBinding

data EraseBinding Source #

An enumerated type which can be used to indicate which string the terminal should send to an application when the user presses the Delete or Backspace keys.

Constructors

EraseBindingAuto | For backspace, attempt to determine the right value from the terminal's IO settings. For delete, use the control sequence.
EraseBindingAsciiBackspace | Send an ASCII backspace character (0x08).
EraseBindingAsciiDelete | Send an ASCII delete character (0x7F).
EraseBindingDeleteSequence | Send the "@`7`" control sequence.
EraseBindingTty | Send terminal's "erase" setting.
AnotherEraseBinding Int | Catch-all for unknown values

#### Instances

Instances details

Enum EraseBinding Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: EraseBinding -> EraseBinding Source #

pred :: EraseBinding -> EraseBinding Source #

toEnum :: Int -> EraseBinding Source #

fromEnum :: EraseBinding -> Int Source #

enumFrom :: EraseBinding -> [EraseBinding] Source #

enumFromThen :: EraseBinding -> EraseBinding -> [EraseBinding] Source #

enumFromTo :: EraseBinding -> EraseBinding -> [EraseBinding] Source #

enumFromThenTo :: EraseBinding -> EraseBinding -> EraseBinding -> [EraseBinding] Source #

Show EraseBinding Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> EraseBinding -> ShowS Source # show :: EraseBinding -> String Source # showList :: [EraseBinding] -> ShowS Source #
Eq EraseBinding Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: EraseBinding -> EraseBinding -> Bool Source # (/=) :: EraseBinding -> EraseBinding -> Bool Source #
Ord EraseBinding Source # |

Instance details

Defined in GI.Vte.Enums

Methods

compare :: EraseBinding -> EraseBinding -> Ordering Source #

(<) :: EraseBinding -> EraseBinding -> Bool Source #

(<=) :: EraseBinding -> EraseBinding -> Bool Source #

(>) :: EraseBinding -> EraseBinding -> Bool Source #

(>=) :: EraseBinding -> EraseBinding -> Bool Source #

max :: EraseBinding -> EraseBinding -> EraseBinding Source #

min :: EraseBinding -> EraseBinding -> EraseBinding Source #

BoxedEnum EraseBinding Source # |
Instance details Defined in GI.Vte.Enums
TypedObject EraseBinding Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes EraseBinding Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes EraseBinding Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes EraseBinding = '[] :: [Type]

## Format

data Format Source #

An enumeration type that can be used to specify the format the selection should be copied to the clipboard in.

Since: 0.50

Constructors

FormatText | Export as plain text
FormatHtml | Export as HTML formatted text
AnotherFormat Int | Catch-all for unknown values

#### Instances

Instances details

Enum Format Source # |
Instance details Defined in GI.Vte.Enums Methods succ :: Format -> Format Source # pred :: Format -> Format Source # toEnum :: Int -> Format Source # fromEnum :: Format -> Int Source # enumFrom :: Format -> [Format] Source # enumFromThen :: Format -> Format -> [Format] Source # enumFromTo :: Format -> Format -> [Format] Source # enumFromThenTo :: Format -> Format -> Format -> [Format] Source #
Show Format Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> Format -> ShowS Source # show :: Format -> String Source # showList :: [Format] -> ShowS Source #
Eq Format Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: Format -> Format -> Bool Source # (/=) :: Format -> Format -> Bool Source #
Ord Format Source # |
Instance details Defined in GI.Vte.Enums Methods compare :: Format -> Format -> Ordering Source # (<) :: Format -> Format -> Bool Source # (<=) :: Format -> Format -> Bool Source # (>) :: Format -> Format -> Bool Source # (>=) :: Format -> Format -> Bool Source # max :: Format -> Format -> Format Source # min :: Format -> Format -> Format Source #
BoxedEnum Format Source # |
Instance details Defined in GI.Vte.Enums
TypedObject Format Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes Format Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes Format Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes Format = '[] :: [Type]

## ProgressHint

data ProgressHint Source #

An enum describing how to interpret progress state, for the `TERMPROP_PROGRESS_HINT` termprop.

Since: 0.80

Constructors

ProgressHintInactive | no progress current
ProgressHintActive | progress is normal
ProgressHintError | progress is aborted by an error
ProgressHintIndeterminate | progress is indeterminate
ProgressHintPaused | progress is paused
AnotherProgressHint Int | Catch-all for unknown values

#### Instances

Instances details

Enum ProgressHint Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: ProgressHint -> ProgressHint Source #

pred :: ProgressHint -> ProgressHint Source #

toEnum :: Int -> ProgressHint Source #

fromEnum :: ProgressHint -> Int Source #

enumFrom :: ProgressHint -> [ProgressHint] Source #

enumFromThen :: ProgressHint -> ProgressHint -> [ProgressHint] Source #

enumFromTo :: ProgressHint -> ProgressHint -> [ProgressHint] Source #

enumFromThenTo :: ProgressHint -> ProgressHint -> ProgressHint -> [ProgressHint] Source #

Show ProgressHint Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> ProgressHint -> ShowS Source # show :: ProgressHint -> String Source # showList :: [ProgressHint] -> ShowS Source #
Eq ProgressHint Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: ProgressHint -> ProgressHint -> Bool Source # (/=) :: ProgressHint -> ProgressHint -> Bool Source #
Ord ProgressHint Source # |

Instance details

Defined in GI.Vte.Enums

Methods

compare :: ProgressHint -> ProgressHint -> Ordering Source #

(<) :: ProgressHint -> ProgressHint -> Bool Source #

(<=) :: ProgressHint -> ProgressHint -> Bool Source #

(>) :: ProgressHint -> ProgressHint -> Bool Source #

(>=) :: ProgressHint -> ProgressHint -> Bool Source #

max :: ProgressHint -> ProgressHint -> ProgressHint Source #

min :: ProgressHint -> ProgressHint -> ProgressHint Source #

BoxedEnum ProgressHint Source # |
Instance details Defined in GI.Vte.Enums
TypedObject ProgressHint Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes ProgressHint Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes ProgressHint Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes ProgressHint = '[] :: [Type]

## PropertyId

data PropertyId Source #

An enum containing the IDs of the always-installed termprops.

Since: 0.78

Constructors

PropertyIdCurrentDirectoryUri | the ID of the `TERMPROP_CURRENT_DIRECTORY_URI` termprop
PropertyIdCurrentFileUri | the ID of the `TERMPROP_CURRENT_FILE_URI` termprop
PropertyIdXtermTitle | the ID of the `TERMPROP_XTERM_TITLE` termprop
PropertyIdContainerName | the ID of the `TERMPROP_CONTAINER_NAME` termprop
PropertyIdContainerRuntime | the ID of the `TERMPROP_CONTAINER_RUNTIME` termprop
PropertyIdContainerUid | the ID of the `TERMPROP_CONTAINER_UID` termprop
PropertyIdShellPrecmd | the ID of the `TERMPROP_SHELL_PRECMD` termprop
PropertyIdShellPreexec | the ID of the `TERMPROP_SHELL_PREEXEC` termprop
PropertyIdShellPostexec | the ID of the `TERMPROP_SHELL_POSTEXEC` termprop
PropertyIdProgressHint | the ID of the `TERMPROP_PROGRESS_HINT` termprop. Since: 0.80
PropertyIdProgressValue | the ID of the `TERMPROP_PROGRESS_VALUE` termprop. Since: 0.80
PropertyIdIconColor | the ID of the `TERMPROP_ICON_COLOR` termprop. Since: 0.80
PropertyIdIconImage | the ID of the `TERMPROP_ICON_IMAGE` termprop. Since: 0.80
AnotherPropertyId Int | Catch-all for unknown values

#### Instances

Instances details

Enum PropertyId Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: PropertyId -> PropertyId Source #

pred :: PropertyId -> PropertyId Source #

toEnum :: Int -> PropertyId Source #

fromEnum :: PropertyId -> Int Source #

enumFrom :: PropertyId -> [PropertyId] Source #

enumFromThen :: PropertyId -> PropertyId -> [PropertyId] Source #

enumFromTo :: PropertyId -> PropertyId -> [PropertyId] Source #

enumFromThenTo :: PropertyId -> PropertyId -> PropertyId -> [PropertyId] Source #

Show PropertyId Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> PropertyId -> ShowS Source # show :: PropertyId -> String Source # showList :: [PropertyId] -> ShowS Source #
Eq PropertyId Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: PropertyId -> PropertyId -> Bool Source # (/=) :: PropertyId -> PropertyId -> Bool Source #
Ord PropertyId Source # |

Instance details

Defined in GI.Vte.Enums

Methods

compare :: PropertyId -> PropertyId -> Ordering Source #

(<) :: PropertyId -> PropertyId -> Bool Source #

(<=) :: PropertyId -> PropertyId -> Bool Source #

(>) :: PropertyId -> PropertyId -> Bool Source #

(>=) :: PropertyId -> PropertyId -> Bool Source #

max :: PropertyId -> PropertyId -> PropertyId Source #

min :: PropertyId -> PropertyId -> PropertyId Source #

BoxedEnum PropertyId Source # |
Instance details Defined in GI.Vte.Enums
TypedObject PropertyId Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes PropertyId Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes PropertyId Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes PropertyId = '[] :: [Type]

## PropertyType

data PropertyType Source #

An enumeration type describing types of properties.

Since: 0.78

Constructors

PropertyTypeValueless | no value, use for signalling
PropertyTypeBool | a bool
PropertyTypeInt | a signed 64-bit integer
PropertyTypeUint | an unsigned 64-bit integer
PropertyTypeDouble | a finite double-precision floating point number
PropertyTypeRgb | a color
PropertyTypeRgba | a color with alpha
PropertyTypeString | a string
PropertyTypeData | binary data
PropertyTypeUuid | a UUID
PropertyTypeUri | a URI
PropertyTypeImage | an image. Since: 0.80
AnotherPropertyType Int | Catch-all for unknown values

#### Instances

Instances details

Enum PropertyType Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: PropertyType -> PropertyType Source #

pred :: PropertyType -> PropertyType Source #

toEnum :: Int -> PropertyType Source #

fromEnum :: PropertyType -> Int Source #

enumFrom :: PropertyType -> [PropertyType] Source #

enumFromThen :: PropertyType -> PropertyType -> [PropertyType] Source #

enumFromTo :: PropertyType -> PropertyType -> [PropertyType] Source #

enumFromThenTo :: PropertyType -> PropertyType -> PropertyType -> [PropertyType] Source #

Show PropertyType Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> PropertyType -> ShowS Source # show :: PropertyType -> String Source # showList :: [PropertyType] -> ShowS Source #
Eq PropertyType Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: PropertyType -> PropertyType -> Bool Source # (/=) :: PropertyType -> PropertyType -> Bool Source #
Ord PropertyType Source # |

Instance details

Defined in GI.Vte.Enums

Methods

compare :: PropertyType -> PropertyType -> Ordering Source #

(<) :: PropertyType -> PropertyType -> Bool Source #

(<=) :: PropertyType -> PropertyType -> Bool Source #

(>) :: PropertyType -> PropertyType -> Bool Source #

(>=) :: PropertyType -> PropertyType -> Bool Source #

max :: PropertyType -> PropertyType -> PropertyType Source #

min :: PropertyType -> PropertyType -> PropertyType Source #

BoxedEnum PropertyType Source # |
Instance details Defined in GI.Vte.Enums
TypedObject PropertyType Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes PropertyType Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes PropertyType Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes PropertyType = '[] :: [Type]

## PtyError

data PtyError Source #

No description available in the introspection data.

Constructors

PtyErrorPtyHelperFailed | Obsolete. Deprecated: 0.42
PtyErrorPty98Failed | failure when using PTY98 to allocate the PTY
AnotherPtyError Int | Catch-all for unknown values

#### Instances

Instances details

Enum PtyError Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: PtyError -> PtyError Source #

pred :: PtyError -> PtyError Source #

toEnum :: Int -> PtyError Source #

fromEnum :: PtyError -> Int Source #

enumFrom :: PtyError -> [PtyError] Source #

enumFromThen :: PtyError -> PtyError -> [PtyError] Source #

enumFromTo :: PtyError -> PtyError -> [PtyError] Source #

enumFromThenTo :: PtyError -> PtyError -> PtyError -> [PtyError] Source #

Show PtyError Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> PtyError -> ShowS Source # show :: PtyError -> String Source # showList :: [PtyError] -> ShowS Source #
Eq PtyError Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: PtyError -> PtyError -> Bool Source # (/=) :: PtyError -> PtyError -> Bool Source #
Ord PtyError Source # |
Instance details Defined in GI.Vte.Enums Methods compare :: PtyError -> PtyError -> Ordering Source # (<) :: PtyError -> PtyError -> Bool Source # (<=) :: PtyError -> PtyError -> Bool Source # (>) :: PtyError -> PtyError -> Bool Source # (>=) :: PtyError -> PtyError -> Bool Source # max :: PtyError -> PtyError -> PtyError Source # min :: PtyError -> PtyError -> PtyError Source #
BoxedEnum PtyError Source # |
Instance details Defined in GI.Vte.Enums
TypedObject PtyError Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
GErrorClass PtyError Source # |
Instance details Defined in GI.Vte.Enums Methods gerrorClassDomain :: PtyError -> Text Source #
HasParentTypes PtyError Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes PtyError Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes PtyError = '[] :: [Type]

catchPtyError :: IO a -> (PtyError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `PtyError`. This is a specialized version of `catchGErrorJustDomain`.

handlePtyError :: (PtyError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `PtyError`. This is a specialized version of `handleGErrorJustDomain`.

## RegexError

data RegexError Source #

An enum type for regex errors. In addition to the values listed above, any PCRE2 error values may occur.

Since: 0.46

Constructors

RegexErrorIncompatible | The PCRE2 library was built without Unicode support which is required for VTE
RegexErrorNotSupported | Regexes are not supported because VTE was built without PCRE2 support
AnotherRegexError Int | Catch-all for unknown values

#### Instances

Instances details

Enum RegexError Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: RegexError -> RegexError Source #

pred :: RegexError -> RegexError Source #

toEnum :: Int -> RegexError Source #

fromEnum :: RegexError -> Int Source #

enumFrom :: RegexError -> [RegexError] Source #

enumFromThen :: RegexError -> RegexError -> [RegexError] Source #

enumFromTo :: RegexError -> RegexError -> [RegexError] Source #

enumFromThenTo :: RegexError -> RegexError -> RegexError -> [RegexError] Source #

Show RegexError Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> RegexError -> ShowS Source # show :: RegexError -> String Source # showList :: [RegexError] -> ShowS Source #
Eq RegexError Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: RegexError -> RegexError -> Bool Source # (/=) :: RegexError -> RegexError -> Bool Source #
Ord RegexError Source # |

Instance details

Defined in GI.Vte.Enums

Methods

compare :: RegexError -> RegexError -> Ordering Source #

(<) :: RegexError -> RegexError -> Bool Source #

(<=) :: RegexError -> RegexError -> Bool Source #

(>) :: RegexError -> RegexError -> Bool Source #

(>=) :: RegexError -> RegexError -> Bool Source #

max :: RegexError -> RegexError -> RegexError Source #

min :: RegexError -> RegexError -> RegexError Source #

BoxedEnum RegexError Source # |
Instance details Defined in GI.Vte.Enums
TypedObject RegexError Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
GErrorClass RegexError Source # |
Instance details Defined in GI.Vte.Enums Methods gerrorClassDomain :: RegexError -> Text Source #
HasParentTypes RegexError Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes RegexError Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes RegexError = '[] :: [Type]

catchRegexError :: IO a -> (RegexError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `RegexError`. This is a specialized version of `catchGErrorJustDomain`.

handleRegexError :: (RegexError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `RegexError`. This is a specialized version of `handleGErrorJustDomain`.

## TextBlinkMode

data TextBlinkMode Source #

An enumerated type which can be used to indicate whether the terminal allows the text contents to be blinked.

Since: 0.52

Constructors

TextBlinkModeNever | Do not blink the text.
TextBlinkModeFocused | Allow blinking text only if the terminal is focused.
TextBlinkModeUnfocused | Allow blinking text only if the terminal is unfocused.
TextBlinkModeAlways | Allow blinking text. This is the default.
AnotherTextBlinkMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum TextBlinkMode Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: TextBlinkMode -> TextBlinkMode Source #

pred :: TextBlinkMode -> TextBlinkMode Source #

toEnum :: Int -> TextBlinkMode Source #

fromEnum :: TextBlinkMode -> Int Source #

enumFrom :: TextBlinkMode -> [TextBlinkMode] Source #

enumFromThen :: TextBlinkMode -> TextBlinkMode -> [TextBlinkMode] Source #

enumFromTo :: TextBlinkMode -> TextBlinkMode -> [TextBlinkMode] Source #

enumFromThenTo :: TextBlinkMode -> TextBlinkMode -> TextBlinkMode -> [TextBlinkMode] Source #

Show TextBlinkMode Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> TextBlinkMode -> ShowS Source # show :: TextBlinkMode -> String Source # showList :: [TextBlinkMode] -> ShowS Source #
Eq TextBlinkMode Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: TextBlinkMode -> TextBlinkMode -> Bool Source # (/=) :: TextBlinkMode -> TextBlinkMode -> Bool Source #
Ord TextBlinkMode Source # |

Instance details

Defined in GI.Vte.Enums

Methods

compare :: TextBlinkMode -> TextBlinkMode -> Ordering Source #

(<) :: TextBlinkMode -> TextBlinkMode -> Bool Source #

(<=) :: TextBlinkMode -> TextBlinkMode -> Bool Source #

(>) :: TextBlinkMode -> TextBlinkMode -> Bool Source #

(>=) :: TextBlinkMode -> TextBlinkMode -> Bool Source #

max :: TextBlinkMode -> TextBlinkMode -> TextBlinkMode Source #

min :: TextBlinkMode -> TextBlinkMode -> TextBlinkMode Source #

BoxedEnum TextBlinkMode Source # |
Instance details Defined in GI.Vte.Enums
TypedObject TextBlinkMode Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes TextBlinkMode Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes TextBlinkMode Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes TextBlinkMode = '[] :: [Type]

## WriteFlags

data WriteFlags Source #

A flag type to determine how terminal contents should be written to an output stream.

Constructors

WriteFlagsDefault | Write contents as UTF-8 text. This is the default.
AnotherWriteFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum WriteFlags Source # |

Instance details

Defined in GI.Vte.Enums

Methods

succ :: WriteFlags -> WriteFlags Source #

pred :: WriteFlags -> WriteFlags Source #

toEnum :: Int -> WriteFlags Source #

fromEnum :: WriteFlags -> Int Source #

enumFrom :: WriteFlags -> [WriteFlags] Source #

enumFromThen :: WriteFlags -> WriteFlags -> [WriteFlags] Source #

enumFromTo :: WriteFlags -> WriteFlags -> [WriteFlags] Source #

enumFromThenTo :: WriteFlags -> WriteFlags -> WriteFlags -> [WriteFlags] Source #

Show WriteFlags Source # |
Instance details Defined in GI.Vte.Enums Methods showsPrec :: Int -> WriteFlags -> ShowS Source # show :: WriteFlags -> String Source # showList :: [WriteFlags] -> ShowS Source #
Eq WriteFlags Source # |
Instance details Defined in GI.Vte.Enums Methods (==) :: WriteFlags -> WriteFlags -> Bool Source # (/=) :: WriteFlags -> WriteFlags -> Bool Source #
Ord WriteFlags Source # |

Instance details

Defined in GI.Vte.Enums

Methods

compare :: WriteFlags -> WriteFlags -> Ordering Source #

(<) :: WriteFlags -> WriteFlags -> Bool Source #

(<=) :: WriteFlags -> WriteFlags -> Bool Source #

(>) :: WriteFlags -> WriteFlags -> Bool Source #

(>=) :: WriteFlags -> WriteFlags -> Bool Source #

max :: WriteFlags -> WriteFlags -> WriteFlags Source #

min :: WriteFlags -> WriteFlags -> WriteFlags Source #

BoxedEnum WriteFlags Source # |
Instance details Defined in GI.Vte.Enums
TypedObject WriteFlags Source # |
Instance details Defined in GI.Vte.Enums Methods glibType :: IO GType Source #
HasParentTypes WriteFlags Source # |
Instance details Defined in GI.Vte.Enums
type ParentTypes WriteFlags Source # |
Instance details Defined in GI.Vte.Enums type ParentTypes WriteFlags = '[] :: [Type]